Contacts
Contacts represent external contacts to your organisation. Spoke uses contacts in each phonebook to identify incoming callers and to allow Spoke users to search and place calls.
Add a new contact to a phonebook
Add the given contact to an existing phonebook. Replace the contact if the given ID matches an existing once. Other contacts in the phonebook are not modified.
If id is an email address of a user, then the given contact will be added to the user's personal phonebook.
path Parameters
idThe phonebook ID
Headers
AuthorizationAuthorization header bearing the access token
Add a new contact to a phonebook › Request Body optional
countryIsoCountry ISO code for formatting local phone numbers
Add a new contact to a phonebook › Responses
Successfully added contact
idThe ID of the contact
List of phone numbers of the contact
phonebookIdThe ID of the phonebook this contact belongs to
phonebookManagedBySpecifies whether the phonebook is managed by the phonebook owner or by the organisation via the Spoke API.
Possible values:
organisation: Contacts in the phonebook can only be managed by the organisation administrators via the Spoke API. For a personal phonebook, the owner of the phonebook will have read access to contacts but cannot update or delete any contacts.user: For phonebooks owned by a user only. Contacts in the phonebook can only be managed by the owner of the phonebook. Contacts will not be accessible via the Spoke API for Read, Update or Delete operations.
When accessed via the Spoke API, this value will always be organisation.
companyNameOptional company name of the contact
Optional list of emails of the contact
firstNameOptional first name of the contact
jobTitleOptional job title of the contact
lastNameOptional last name of the contact
phonebookNameThe name of the phonebook this contact belongs to
Get phonebook contact
Retrieve the specified contact from an existing phonebook.
If id is an email address of a user, then the specified contact will be retrieved from the user's personal phonebook.
path Parameters
Headers
AuthorizationAuthorization header bearing the access token
Get phonebook contact › Responses
Phonebook contact
idThe ID of the contact
List of phone numbers of the contact
phonebookIdThe ID of the phonebook this contact belongs to
phonebookManagedBySpecifies whether the phonebook is managed by the phonebook owner or by the organisation via the Spoke API.
Possible values:
organisation: Contacts in the phonebook can only be managed by the organisation administrators via the Spoke API. For a personal phonebook, the owner of the phonebook will have read access to contacts but cannot update or delete any contacts.user: For phonebooks owned by a user only. Contacts in the phonebook can only be managed by the owner of the phonebook. Contacts will not be accessible via the Spoke API for Read, Update or Delete operations.
When accessed via the Spoke API, this value will always be organisation.
companyNameOptional company name of the contact
Optional list of emails of the contact
firstNameOptional first name of the contact
jobTitleOptional job title of the contact
lastNameOptional last name of the contact
phonebookNameThe name of the phonebook this contact belongs to
Update an existing contact
Update an existing contact in a phonebook with the new data.
If id is an email address of a user, then the contact in the user's personal phonebook will be updated.
path Parameters
Headers
AuthorizationAuthorization header bearing the access token
Update an existing contact › Request Body optional
countryIsoCountry ISO code for formatting local phone numbers
Update an existing contact › Responses
Successfully updated contact
idThe ID of the contact
List of phone numbers of the contact
phonebookIdThe ID of the phonebook this contact belongs to
phonebookManagedBySpecifies whether the phonebook is managed by the phonebook owner or by the organisation via the Spoke API.
Possible values:
organisation: Contacts in the phonebook can only be managed by the organisation administrators via the Spoke API. For a personal phonebook, the owner of the phonebook will have read access to contacts but cannot update or delete any contacts.user: For phonebooks owned by a user only. Contacts in the phonebook can only be managed by the owner of the phonebook. Contacts will not be accessible via the Spoke API for Read, Update or Delete operations.
When accessed via the Spoke API, this value will always be organisation.
companyNameOptional company name of the contact
Optional list of emails of the contact
firstNameOptional first name of the contact
jobTitleOptional job title of the contact
lastNameOptional last name of the contact
phonebookNameThe name of the phonebook this contact belongs to
Delete a contact
Delete the specified contact from an existing phonebook.
If id is an email address of a user, then the contact will be deleted from the user's personal phonebook.
path Parameters
Headers
AuthorizationAuthorization header bearing the access token
Delete a contact › Responses
Successfully deleted the contact